--
-- Autostack
-- Specialization for Autostack
--
-- @author  Milan Lekše (Milan1702976)
-- @date  26/07/09
--

Autostack = {};

function Autostack.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Attachable, specializations);
end;

function Autostack:load(xmlFile)
    self.tipReferencePoint = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.tipReferencePoint#index"));
	if self.tipReferencePoint == nil then
        self.tipReferencePoint = self.components[1].node;
    end;
end;

function Autostack:delete()
end;

function Autostack:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Autostack:keyEvent(unicode, sym, modifier, isDown)
end;

function Autostack:update(dt)
	if self.startBalePlace.count >= 2 then
		self.startBalePlace.count = 4
	end
end;

function Autostack:draw()
end;

function Autostack:onAttach(attacherVehicle)
end;

function Autostack:onDetach()
end;




